////////////////////////////////////////////////////////////////////
// Nes Mapper #3:  CNROM
// This mapper is used on many older U.S. and Japanese games, such as Solomon's Key, 
// Gradius, and Hudson's Adventure Island
////////////////////////////////////////////////////////////////////

#if !defined(NES_MAPPER_3
#define NES_MAPPER_3

#include "..\NesBaseMapper.h"
#include <windows.h>

class NesMapper3 : public NesBaseMapper
{
public:	
	///////////////////////////////
	// Class Procedures
	///////////////////////////////
	NesMapper3(NesCartridge *linkCartridge, NesCPU *linkCPU, NesPPU *linkPPU);
	~NesMapper3();	
	void write(unsigned __int16 addr, unsigned char data);
};

#endif 